Create new external workshop
Create a new external workshop for a tenant.
Required permissions: SERVICE_ORDER
post/tenants/{tenantUid}/serviceorders/externalworkshops
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
companyNamestringRequired
addressstringOptional
postalCodestringOptional
citystringOptional
countryCodestringOptional
emailstringOptional
phonestringOptional
contactNamestringOptional
notestringOptional
activebooleanOptionalDefault:
trueexternalWorkshopUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
externalWorkshopUidstringRequiredPattern:
^[A-Za-z0-9-_]+companyNamestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
contactNamestringRequired
notestringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/serviceorders/externalworkshops
POST /v2/tenants/{tenantUid}/serviceorders/externalworkshops HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 202
{
"companyName": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"contactName": "text",
"note": "text",
"active": true,
"externalWorkshopUid": "text"
}201
Example response
{
"externalWorkshopUid": "text",
"companyName": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"contactName": "text",
"note": "text",
"active": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}Last updated
Was this helpful?

